curl --request POST \
--url https://staging.debt-wise.com/api/users/{id}/equifax/auth/invoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_ip": "127.128.0.0"
}
'
{
"step": "validate_otp"
}{
"error": {
"code": "equifax_error",
"message": "No product match found"
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Equifax
Invoke
Start Equifax Authentication for the user
POST
/
api
/
users
/
{id}
/
equifax
/
auth
/
invoke
curl --request POST \
--url https://staging.debt-wise.com/api/users/{id}/equifax/auth/invoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_ip": "127.128.0.0"
}
'
{
"step": "validate_otp"
}{
"error": {
"code": "equifax_error",
"message": "No product match found"
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
Example:
"gzip deflate"
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Path Parameters
An userId.
Example:
1
Body
application/json
User's IP address
Minimum string length:
7Example:
"793.345.234.0"
Response
Returns next step
Indicates which auth request should be next. /equifax/auth/validate_otp from example
Available options:
consent, validate_otp, identity Example:
"validate_otp"